VSTGUI: IValue Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Static Public Attributes | List of all members
IValue Class Referenceabstract
Standalone Library

Value interface. More...

Inheritance diagram for IValue:

## Public Types
using | Type = double
| floating point value in the range of 0 to 1

## Public Member Functions
virtual void | beginEdit ()=0
| Begin editing the value.
virtual bool | performEdit (Type newValue)=0
| Perform a value edit.
virtual void | endEdit ()=0
| End editing the value.
virtual void | setActive (bool state)=0
| Set active state.
virtual bool | isActive () const =0
| Is value active?
virtual Type | getValue () const =0
| Get the normalized value.
virtual bool | isEditing () const =0
| Is value in edit mode.
virtual const UTF8String & | getID () const =0
| Get value identifier.
virtual const IValueConverter & | getConverter () const =0
| Get value converter.
virtual void | registerListener (IValueListener *listener)=0
| register a value listener.
virtual void | unregisterListener (IValueListener *listener)=0
| unregister a value listener.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Static Public Attributes
static constexpr Type | InvalidValue = std::numeric_limits<Type>::min ()
| indicates an invalid value

## Detailed Description

Value interface.

## Member Typedef Documentation

using Type = double

floating point value in the range of 0 to 1

## Member Function Documentation

virtual void beginEdit | ( |  | ) |
| pure virtual

Begin editing the value.

virtual void endEdit | ( |  | ) |
| pure virtual

End editing the value.

virtual const IValueConverter& getConverter | ( |  | ) | const
| pure virtual

Get value converter.

virtual const UTF8String& getID | ( |  | ) | const
| pure virtual

Get value identifier.

virtual Type getValue | ( |  | ) | const
| pure virtual

Get the normalized value.

virtual bool isActive | ( |  | ) | const
| pure virtual

Is value active?

virtual bool isEditing | ( |  | ) | const
| pure virtual

Is value in edit mode.

virtual bool performEdit | ( | Type | newValue | ) |
| pure virtual

Perform a value edit.

virtual void registerListener | ( | IValueListener * | listener | ) |
| pure virtual

register a value listener.

virtual void setActive | ( | bool | state | ) |
| pure virtual

Set active state.

virtual void unregisterListener | ( | IValueListener * | listener | ) |
| pure virtual

unregister a value listener.

## Member Data Documentation

constexpr Type InvalidValue = std::numeric_limits<Type>::min ()
| static

indicates an invalid value

The documentation for this class was generated from the following file:

- ivalue.h